Download it now!
Bug 114432 - Tangut character aligned incorrectly in vertical layout
Summary: Tangut character aligned incorrectly in vertical layout
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2017-12-13 04:17 UTC by Volga
Modified: 2018-12-27 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT (14.07 KB, application/vnd.oasis.opendocument.text)
2017-12-13 04:19 UTC, Volga
Details
Snapshot (162.84 KB, image/png)
2017-12-13 04:19 UTC, Volga
Details
Screenshot: Comparion (200.83 KB, image/png)
2017-12-16 12:07 UTC, Hiunn-hué
Details
Screenshot: Comparion (107.46 KB, image/png)
2017-12-21 03:51 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-12-13 04:17:46 UTC
Description:
Tangut characters shifted to the right vertical layout, leaves a narrow gap after CJK characters.

Steps to Reproduce:
1. Open Yu Luo Jun Mei Shu.odt

Actual Results:  
See attached screenshot

Expected Results:
LiberOffice should not insert gap between Chinese and Tangut characters, and Tangut characters should aligned the same as Chinese Characters in vertical layout. 
See the example: https://en.wikipedia.org/w/index.php?title=Wikipedia:Sandbox&oldid=815160812


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.0.0.beta2+ (x64)
Build ID: b030bf19e29f031b0a640dd92c38d654785f1a99
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-0, Time: 2017-12-12_05:03:02
Locale: zh-CN (zh_CN); Calc: group threaded


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Volga 2017-12-13 04:19:01 UTC
Created attachment 138407 [details]
Sample ODT
Comment 2 Volga 2017-12-13 04:19:37 UTC
Created attachment 138408 [details]
Snapshot
Comment 3 Volga 2017-12-13 04:22:18 UTC
You can try Tangut Yinchuan for test.
http://www.babelstone.co.uk/Fonts/Yinchuan.html
Comment 4 Hiunn-hué 2017-12-16 12:07:33 UTC
Created attachment 138474 [details]
Screenshot: Comparion


Sorry, I don't know how to describe it properly, please see the attached screenshot.

It seems to depend on ...
    1. the chinese font you are using and
    2. the first character of a line.

Compared to other fonts, Noto Sans CJK and Noto Serif CJK seem to shift to left a lot, and the characters are overlapped with underline.


---

Version: 6.1.0.0.alpha0+
Build ID: aad9c6da5154a89c6ef02214d1122d4b444eea23
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-15_23:20:39
Locale: zh-TW (zh_TW.UTF-8); Calc: group threaded
Comment 5 Volga 2017-12-17 09:07:54 UTC
OK, for me, the problem looks the same as what you have seen with Noto Sans CJK and Noto Serif CJK, however characters aren't overlapped with underline.

Version: 6.0.0.0.beta2+ (x64)
Build ID: bd260a59cfdd050db3aa9a641ef0fa09efcedf5b
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-0, Time: 2017-12-16_05:54:16
Locale: zh-CN (zh_CN); Calc: group threaded
Comment 6 Volga 2017-12-21 03:51:47 UTC
Created attachment 138559 [details]
Screenshot: Comparion

Here is what I have seen on Windows.

Version: 6.0.0.0.beta2+ (x64)
Build ID: fe31edb29e5e77bb60e3aa73ec6a0380314acc61
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-0, Time: 2017-12-20_03:45:21
Locale: zh-CN (zh_CN); Calc: group
Comment 7 Buovjaga 2017-12-26 17:04:07 UTC
Let's set to NEW per comment 4
Comment 8 QA Administrators 2018-12-27 03:42:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug